var NAVTREE =
[
  [ "ViSP", "index.html", [
    [ "Online documentation for ViSP 2.9.0", "index.html", [
      [ "Introduction", "index.html#intro_sec", null ],
      [ "Download", "index.html#download_sec", null ],
      [ "Installation", "index.html#install_sec", null ],
      [ "Tutorials", "index.html#Tutorial_sec", [
        [ "Introduction", "index.html#tuto_intro", null ],
        [ "Image manipulation", "index.html#tuto_image", null ],
        [ "Camera calibration", "index.html#tuto_calib", null ],
        [ "Tracking", "index.html#tuto_tracking", null ],
        [ "Keypoint", "index.html#tuto_keypoint", null ],
        [ "Computer vision", "index.html#tuto_computer_vision", null ],
        [ "Visual servoing", "index.html#tuto_vs", null ],
        [ "Other tools", "index.html#tuto_tools", null ]
      ] ],
      [ "Using ViSP", "index.html#Examples_sec", null ],
      [ "How to help ?", "index.html#Howto_sec", null ]
    ] ],
    [ "Tutorial: How to boost your visual servo control law", "tutorial-boost-vs.html", [
      [ "Introduction", "tutorial-boost-vs.html#intro", null ],
      [ "Using an adaptive gain", "tutorial-boost-vs.html#adaptive_gain", null ],
      [ "Continuous sequencing", "tutorial-boost-vs.html#continuous_adaptive_gain", null ]
    ] ],
    [ "Tutorial: Camera calibration", "tutorial-calibration.html", [
      [ "Introduction", "tutorial-calibration.html#calibration_intro", null ],
      [ "Source code", "tutorial-calibration.html#calibration_source_code", null ],
      [ "Calibration from a chessboard", "tutorial-calibration.html#calibration_chessboard", null ],
      [ "Calibration from a circles grid", "tutorial-calibration.html#calibration_circle", null ],
      [ "Distorsion removal", "tutorial-calibration.html#calibration_undistort", null ]
    ] ],
    [ "Tutorial: Getting started for iOS", "tutorial-getting-started-iOS.html", [
      [ "Add ViSP library into your project", "tutorial-getting-started-iOS.html#getting-started-iOS-add", null ],
      [ "Copy ViSP header into your project", "tutorial-getting-started-iOS.html#getting-started-iOS-copy", null ],
      [ "Use ViSP in your project", "tutorial-getting-started-iOS.html#getting-started-iOS-use", null ]
    ] ],
    [ "Tutorial: Getting started", "tutorial-getting-started.html", [
      [ "Create a program using ViSP", "tutorial-getting-started.html#image_code", null ],
      [ "Create a CMake file", "tutorial-getting-started.html#image_cmake", null ],
      [ "On Unix-like systems", "tutorial-getting-started.html#image_unix", [
        [ "Configure your project", "tutorial-getting-started.html#image_unix_config", null ],
        [ "Generate the executable", "tutorial-getting-started.html#image_unix_build", null ],
        [ "Run the executable", "tutorial-getting-started.html#image_unix_output", null ]
      ] ],
      [ "On Windows", "tutorial-getting-started.html#image_win", [
        [ "Configure your project", "tutorial-getting-started.html#image_win_config", null ],
        [ "Generate the executable", "tutorial-getting-started.html#image_win_build", null ],
        [ "Run the executable", "tutorial-getting-started.html#image_win_output", null ]
      ] ]
    ] ],
    [ "Tutorial: Image frame grabbing", "tutorial-grabber.html", [
      [ "Images from firewire cameras", "tutorial-grabber.html#grabber-camera-firewire-unix", null ],
      [ "Images from other cameras", "tutorial-grabber.html#grabber-camera-other", null ],
      [ "Images from a video stream", "tutorial-grabber.html#grabber-video-stream", null ]
    ] ],
    [ "Tutorial: Homography estimation from points", "tutorial-homography.html", [
      [ "Homography estimation", "tutorial-homography.html#homography", null ],
      [ "Ransac or robust homography estimation", "tutorial-homography.html#ransac", null ]
    ] ],
    [ "Tutorial: Image-based visual servo", "tutorial-ibvs.html", [
      [ "Introduction", "tutorial-ibvs.html#ibvs_intro", null ],
      [ "Basic IBVS simulation", "tutorial-ibvs.html#ibvs_basic", null ],
      [ "IBVS simulation with basic viewers", "tutorial-ibvs.html#ibvs_display", null ],
      [ "IBVS simulation with wireframe viewers", "tutorial-ibvs.html#ibvs_wireframe", null ],
      [ "IBVS simulation with image processing", "tutorial-ibvs.html#ibvs_tracking", null ]
    ] ],
    [ "Tutorial: Image filtering", "tutorial-image-filtering.html", [
      [ "Gaussian blur", "tutorial-image-filtering.html#blur", null ],
      [ "Gradients computation", "tutorial-image-filtering.html#gradient", null ],
      [ "Canny edge detector", "tutorial-image-filtering.html#canny", null ],
      [ "Convolution", "tutorial-image-filtering.html#convolution", null ],
      [ "Gaussian image pyramid", "tutorial-image-filtering.html#pyramid", null ]
    ] ],
    [ "Tutorial: Installation from source on Linux Fedora", "tutorial-install-fedora.html", [
      [ "Required packages", "tutorial-install-fedora.html#install_ubuntu_required", null ],
      [ "Getting ViSP source code", "tutorial-install-fedora.html#install_fedora_get_source", null ],
      [ "Configuring ViSP from source", "tutorial-install-fedora.html#install_fedora_config", [
        [ "Optional 3rd party packages", "tutorial-install-fedora.html#install_fedora_3rdparty", null ],
        [ "Generating Makefiles", "tutorial-install-fedora.html#install_ubuntu_generate", null ]
      ] ],
      [ "Building ViSP from source", "tutorial-install-fedora.html#install_fedora_build", null ]
    ] ],
    [ "Tutorial: Installation from source on OSX for iOS devices", "tutorial-install-iOS.html", [
      [ "Required software", "tutorial-install-iOS.html#install_iOS_required", null ],
      [ "Getting ViSP source code", "tutorial-install-iOS.html#install_iOS_get_source", null ],
      [ "Configuring ViSP from source", "tutorial-install-iOS.html#install_iOS_config", [
        [ "Optional 3rd party packages", "tutorial-install-iOS.html#install_iOS_3rdparty", null ],
        [ "Generate Xcode project", "tutorial-install-iOS.html#install_iOS_generate_xcode", null ]
      ] ],
      [ "Building ViSP library", "tutorial-install-iOS.html#install_iOS_build", [
        [ "Open and configure ViSP Xcode project", "tutorial-install-iOS.html#getting-started-iOS-configure", null ],
        [ "Generate ViSP library", "tutorial-install-iOS.html#getting-started-iOS-generate", null ]
      ] ]
    ] ],
    [ "Tutorial: Installation from source on Linux Ubuntu", "tutorial-install-ubuntu.html", [
      [ "Getting ViSP source code", "tutorial-install-ubuntu.html#install_ubuntu_get_source", null ],
      [ "Configuring ViSP from source", "tutorial-install-ubuntu.html#install_ubuntu_config", [
        [ "Optional 3rd party packages", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty", null ]
      ] ],
      [ "Building ViSP from source", "tutorial-install-ubuntu.html#install_ubuntu_build", null ]
    ] ],
    [ "Tutorial: Installation from source on Windows", "tutorial-install-win.html", [
      [ "Required packages", "tutorial-install-win.html#install_win_required", null ],
      [ "Getting ViSP source code", "tutorial-install-win.html#install_win_get_source", null ],
      [ "Configuring ViSP from source", "tutorial-install-win.html#install_win_config", [
        [ "Optional 3rd party packages", "tutorial-install-win.html#install_win_3rdparty", [
          [ "OpenCV 3rd party", "tutorial-install-win.html#install_win_3rdparty_opencv", null ],
          [ "Ogre3D 3rd party", "tutorial-install-win.html#install_win_3rdparty_ogre", null ]
        ] ],
        [ "Ending the configuration", "tutorial-install-win.html#install_win_gene", null ]
      ] ],
      [ "Building ViSP from source", "tutorial-install-win.html#install_win_build", null ],
      [ "Setting up PATH variable", "tutorial-install-win.html#install_win_env_var", null ],
      [ "Appendix", "tutorial-install-win.html#install_win_annex", [
        [ "Installing testing data", "tutorial-install-win.html#install_annex_data", null ],
        [ "Using testing data", "tutorial-install-win.html#install_annex_usage", null ]
      ] ]
    ] ],
    [ "Tutorial: Keypoint matching", "tutorial-matching.html", [
      [ "SURF key points detection and matching", "tutorial-matching.html#surf", null ]
    ] ],
    [ "Tutorial: Real-time curves plotter tool", "tutorial-plotter.html", null ],
    [ "Tutorial: Pose estimation from points", "tutorial-pose-estimation.html", [
      [ "Introduction", "tutorial-pose-estimation.html#tutorial_pose_intro", null ],
      [ "Pose estimation from 4 planar points", "tutorial-pose-estimation.html#tutorial_pose_est", null ]
    ] ],
    [ "Tutorial: Planar image projection", "tutorial-simu-image.html", [
      [ "Introduction", "tutorial-simu-image.html#simu_image_intro", null ],
      [ "Image projection", "tutorial-simu-image.html#simu_image_projection", null ]
    ] ],
    [ "Tutorial: Visual servo simulation on a pioneer-like unicycle robot", "tutorial-simu-robot-pioneer.html", [
      [ "Unicycle with a fixed camera", "tutorial-simu-robot-pioneer.html#simu_robot_pioneer_camera", null ],
      [ "Unicycle with a moving camera", "tutorial-simu-robot-pioneer.html#simu_robot_pioneer_camera_pan", null ]
    ] ],
    [ "Tutorial: Debug and trace printings", "tutorial-trace.html", [
      [ "Debug and trace usage in ViSP library", "tutorial-trace.html#visp", null ],
      [ "Debug and trace usage in your own project", "tutorial-trace.html#example", null ]
    ] ],
    [ "Tutorial: Blob tracking", "tutorial-tracking-blob.html", [
      [ "Blob tracking", "tutorial-tracking-blob.html#tracking_blob_tracking", null ],
      [ "Blob auto detection and tracking", "tutorial-tracking-blob.html#tracking_blob_auto", null ]
    ] ],
    [ "Tutorial: Keypoint tracking", "tutorial-tracking-keypoint.html", [
      [ "KLT tracker", "tutorial-tracking-keypoint.html#tracking_keypoint_klt", null ]
    ] ],
    [ "Tutorial: Model-based tracking", "tutorial-tracking-mb.html", [
      [ "Model-based edges tracker", "tutorial-tracking-mb.html#tracking_mb_edges", null ],
      [ "Model-based KLT tracker", "tutorial-tracking-mb.html#tracking_mb_klt", null ],
      [ "Model-based hybrid tracker", "tutorial-tracking-mb.html#tracking_mb_hybrid", null ],
      [ "CAD model in cao format", "tutorial-tracking-mb.html#tracking_mb_cao", [
        [ "Macros for trace", "tutorial-trace.html#trace", null ],
        [ "Macros for debug", "tutorial-trace.html#debug", null ],
        [ "teabox.cao example", "tutorial-tracking-mb.html#tracking_mb_cao_face", null ],
        [ "teabox-triangle.cao example", "tutorial-tracking-mb.html#tracking_mb_cao_triangle", null ]
      ] ],
      [ "CAD model in vrml format", "tutorial-tracking-mb.html#tracking_mb_wrl", [
        [ "teabox.wrl example", "tutorial-tracking-mb.html#tracking_mb_vrml_face", null ]
      ] ]
    ] ],
    [ "Tutorial: Moving-edges tracking", "tutorial-tracking-me.html", [
      [ "Line tracking", "tutorial-tracking-me.html#tracking_me_line", null ],
      [ "Ellipse tracking", "tutorial-tracking-me.html#tracking_me_ellipse", null ]
    ] ],
    [ "Tutorial: Template tracking", "tutorial-tracking-tt.html", [
      [ "Track the painting", "tutorial-tracking-tt.html#tracking_tt", [
        [ "Warping classes", "tutorial-tracking-tt.html#warp_tt", null ],
        [ "How to tune the tracker", "tutorial-tracking-tt.html#tune_tt", null ],
        [ "How to get the points of the template", "tutorial-tracking-tt.html#points_tt", null ]
      ] ],
      [ "More examples", "tutorial-tracking-tt.html#tracking_tt_example", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Bibliography", "citelist.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Classes", null, [
      [ "Class List", "annotated.html", "annotated" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"AROgreBasic_8cpp-example.html",
"classvp1394TwoGrabber.html#a9c36137c56d217b8e21f734990651a46a8bd5615ab20422815471f8fe0158533b",
"classvpAROgre.html#add3047a5c70be35c84f93b05dd4c31a7",
"classvpCalibration.html#a89a746f761cf848603fd848090832775",
"classvpClient.html#afa08809178f7a41b6e6da19301b496a7",
"classvpCylinder.html#a994cd10e2a41d220392eb077a81a4ee2a3baad26189881e51f5f69bcabba6d8a2",
"classvpDisplay.html#af72f7717dc0b343e6faeae3d6442d0de",
"classvpDisplayGDI.html#a93d8672c9c0f4ac90ea0c8f601d0cc4b",
"classvpDisplayOpenCV.html#a713e26f4543468726603f8dbad789bce",
"classvpDisplayX.html#a596be3061f87f7ab2921c34ad4c1de14",
"classvpFFMPEG.html#ab2d7afbaafb2dc0ea37f7ff84eb76d3c",
"classvpFeatureMoment.html#a23e303073b28cee9c9dd787c90f4b968",
"classvpFeatureMomentCInvariant.html#ac10e853738717425ca9e984597a60c2c",
"classvpFeaturePointPolar.html#a103b9fae2db1769ee7c518d5da841359",
"classvpFernClassifier.html#a8a53eb7d8f2f446bc897c3f84152fcd5",
"classvpGenericFeature.html#a62b6ec870fde98f9f795b14a6fd980ea",
"classvpHomography.html#a204ba18750f765816afc8053efe51ed6",
"classvpImageException.html#aa05739d97e2d9a49057c7a32ad7e8f73",
"classvpIoTools.html#aecc49ca57e6ebdf4003ebc27d1cfe473",
"classvpLinearKalmanFilterInstantiation.html#acd18f5d179f94293525aacc2bc0bcce5",
"classvpMbEdgeKltTracker.html#a2192c056a130fed767662f974b33cc5c",
"classvpMbHiddenFaces.html#a1c8445da617d969ef098c1277faf8f85",
"classvpMbtDistanceCylinder.html#a8c1dd7755c98c6ba25584d055675fbaf",
"classvpMbtKltXmlParser.html#a1930d5ebd2b69f1182ec2aa1aa205145a9cfdc1d84533d09cda69812e6f42ab6d",
"classvpMe.html#a02fec4a5fbe48b602cebdd4893a5a5a8",
"classvpMeSite.html#a019791e36428f79804def2c0a3657fd3",
"classvpMomentGenericFeature.html#a2bf0218de0c27851a68f35b954e810c6",
"classvpParallelPortException.html#a956f6859a955cc8c0e4a7bbfd9cb2560a19b24239bd0ebd24dfc971c8c37a1c65",
"classvpPoint.html#ac11251cccecf695b673ef5b9de0c9645",
"classvpPoseVector.html#a88725bf71850df075ce89b75c6f71c52",
"classvpRobotAfma4.html#a04c359977009db3bef9d28b743a46e5d",
"classvpRobotAfma6.html#a5ac4f5f24b5d1395f747064a58674984",
"classvpRobotBiclops.html#a7de4c2d5cf72a7d7fab420420c0e5f1a",
"classvpRobotPioneer.html#aced5046709ce489f3f2c7ac035ebb731",
"classvpRobotTemplate.html#a547036e430c073d03379d4257d896499",
"classvpRobotViper650.html#ab8249faa2fd58dc1504b443501492c8ea8fa2c7ca6d274deec8de0aca4e4c78ff",
"classvpRobotViper850.html#ab8935bb2e1e2e161ea7c4010d63a7eb8",
"classvpRobotWireFrameSimulator.html#acc93f172d2221d72b473531e405be90f",
"classvpRowVector.html#a1d48bf87e99d164211210f3d958643dc",
"classvpServo.html#a092c4517996b4459c0c20c5059bd2c6e",
"classvpSimulatorAfma6.html#a0e51afd0ef2056cbb45949e42fb8cb0c",
"classvpSimulatorAfma6.html#a7c8fbff36d1335697febebd43471f215",
"classvpSimulatorAfma6.html#ae0c754a8451a2eafcc1c0470684b1592",
"classvpSimulatorPioneerPan.html#a58cb25df123741d8531ad9e4308e7ef6",
"classvpSimulatorViper850.html#a53d6407efcdaae97f8f97067943b12d8",
"classvpSimulatorViper850.html#ab3b13c2bbed7e92d0f9312d67f2475fd",
"classvpSphere.html#afac3b81c6d0e3f85159c995660062e05",
"classvpSubMatrix.html#ad22dbc9824245d38e76314a43114616c",
"classvpTemplateTracker.html#ae2545e10d2c512854c4f380601dce9f9",
"classvpTemplateTrackerSSDForwardAdditional.html#a22feb6b84fbadd85762a5464fdb4139c",
"classvpTemplateTrackerSSDInverseCompositional.html#a697ea222720d16670c16930c8dc32cca",
"classvpTemplateTrackerWarpTranslation.html#aeebe98c8aed0490299400468baec8e04",
"classvpTemplateTrackerZNCCInverseCompositional.html#a528df92622359165c922fa41fc62e197",
"classvpTranslationVector.html#a715aa732ea1deb3b7a91235f357458f4",
"classvpVelocityTwistMatrix.html#a3bc447bb335ddc4c8914ba77314f060d",
"classvpViper850.html#a2da84903a09b8f1e9b1b3d8895abe866",
"classvpXmlParserCamera.html#a72165e2e56bea09850b1f63f2b590482",
"group__Exception.html#ggaeafee6283372bf05ec8c86d1a529453da87678e3e7ae29805d8b9756a56c507e9",
"testDisplays_8cpp-example.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';